Bug 13302 - Обеспечить корректную работу в UTF8
: Обеспечить корректную работу в UTF8
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lightsquid)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-02 11:56 by
Modified: 2008-01-13 19:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-02 11:56:05
> Для корректной работы lightsquid'а под utf8, т.е. для корректного отображения 
> html-страниц в русском на  utf8 нужно 
> конвертировать /usr/share/lightsquid/lang/ru.lng из cp1251 в utf8 (русский по 
> умолчанию в cp1251) и в полученном файле установить MSG_CODEPAGE=utf8.
------- Comment #1 From 2007-11-03 14:07:00 -------
*** Bug 13303 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2007-11-03 14:09:25 -------
Алексей, так баги не создают... =(

------- Comment #3 From 2007-11-05 16:42:04 -------
(In reply to comment #2)
> Алексей, так баги не создают... =(
> 
Хоть по ICQ мы и говорили, но я так и не понял смысла этого действия.
Ну отдало броузеру в cp1251 что не так?

------- Comment #4 From 2007-11-06 09:55:06 -------
По тому что при формировании html-страниц,lightsquid берёт значение из
/usr/share/lightsquid/lang/ru.lng.
Точнее часть html-страниц формируется в соотвествии с locale, а часть странице
в
соотвествии с MSG_CODEPAGE= из /usr/share/lightsquid/lang/ru.lng. Попробуй
поиграться со значением Locale и /usr/share/lightsquid/lang/ru.lng и ты увидишь
в чём косяк.
------- Comment #5 From 2007-11-06 12:22:02 -------
+1, нужно перекодировать.
------- Comment #6 From 2008-01-13 19:14:12 -------
Fixed in 1.7.1-alt2